import '../models/extra_payment_model.dart';
import '../repositories/attendance_repository.dart';

class GetPunishmentsUseCase {
  final AttendanceRepository repository;

  GetPunishmentsUseCase({required this.repository});

  Future<List<ExtraPaymentModel>> execute({required String employeeId}) async {
    return await repository.getPunishments(employeeId: employeeId);
  }
}
